petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSNESSetBoundaryLocal

set a local boundary value function. This function is called with local vector containing the local vector information PLUS ghost point information. It should insert values into the local vector that do not come from the global vector, such as essential boundary condition data.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetBoundaryLocal(DM dm,PetscErrorCode (*func)(DM,Vec,void*),void *ctx)

Logically Collective Many br

### Input Arguments

| dm | - DM to associate callback with Many br
| func | - local boundary value evaluation Many br
| ctx | - optional context for local boundary value evaluation Many br

Many br

### See Also

DMSNESSetFunctionLocal(), DMDASNESSetJacobianLocal()

Level:intermediate
Location:src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages